var MReportSummaryTitle = /** @class */ (function () {
    function MReportSummaryTitle() {
    }
    return MReportSummaryTitle;
}());
export { MReportSummaryTitle };
var MTab = /** @class */ (function () {
    function MTab(title, content, active) {
        if (active === void 0) { active = false; }
        this.title = title;
        this.content = content;
        this.active = active;
    }
    return MTab;
}());
export { MTab };
var MReportSummaryInfoEntry = /** @class */ (function () {
    function MReportSummaryInfoEntry() {
        this.infoType = 'text'; // Defaults to text, can also have chart
    }
    return MReportSummaryInfoEntry;
}());
export { MReportSummaryInfoEntry };
var MReportSummaryContent = /** @class */ (function () {
    function MReportSummaryContent() {
    }
    return MReportSummaryContent;
}());
export { MReportSummaryContent };
var MReportSummaryCard = /** @class */ (function () {
    function MReportSummaryCard() {
    }
    return MReportSummaryCard;
}());
export { MReportSummaryCard };
var MProgressMeter = /** @class */ (function () {
    function MProgressMeter(headerText, value, bgColor, footerText, width) {
        this.headerText = headerText;
        this.value = value;
        this.bgColor = bgColor;
        this.footerText = footerText;
        this.width = width;
    }
    return MProgressMeter;
}());
export { MProgressMeter };
/** Bottom Section */
var MGithub = /** @class */ (function () {
    function MGithub(contributors, forks, depRepos, stars, usage, users) {
        if (contributors === void 0) { contributors = -1; }
        if (forks === void 0) { forks = -1; }
        if (depRepos === void 0) { depRepos = -1; }
        if (stars === void 0) { stars = -1; }
        if (usage === void 0) { usage = -1; }
        this.contributors = contributors;
        this.forks = forks;
        this.depRepos = depRepos;
        this.stars = stars;
        this.usage = usage;
        this.users = users;
    }
    return MGithub;
}());
export { MGithub };
var MOsio = /** @class */ (function () {
    function MOsio(usage) {
        if (usage === void 0) { usage = -1; }
    }
    return MOsio;
}());
export { MOsio };
var MCrowdSourcing = /** @class */ (function () {
    function MCrowdSourcing(tags, canSuggestTags) {
        if (canSuggestTags === void 0) { canSuggestTags = true; }
        this.tags = tags;
        this.canSuggestTags = canSuggestTags;
    }
    return MCrowdSourcing;
}());
export { MCrowdSourcing };
var MSecurityIssue = /** @class */ (function () {
    function MSecurityIssue(cvss, cve) {
        this.cvss = cvss;
        this.cve = cve;
    }
    return MSecurityIssue;
}());
export { MSecurityIssue };
var MSecurityDetails = /** @class */ (function () {
    function MSecurityDetails(highestIssue, progressReport, totalIssues) {
        if (highestIssue === void 0) { highestIssue = null; }
        if (progressReport === void 0) { progressReport = null; }
        if (totalIssues === void 0) { totalIssues = null; }
        this.highestIssue = highestIssue;
        this.progressReport = progressReport;
        this.totalIssues = totalIssues;
    }
    return MSecurityDetails;
}());
export { MSecurityDetails };
var MLicenseInformation = /** @class */ (function () {
    function MLicenseInformation(licenses, unknownLicenses, hasLicenseIssue, licensesAffected) {
        if (licensesAffected === void 0) { licensesAffected = null; }
        this.licenses = licenses;
        this.unknownLicenses = unknownLicenses;
        this.hasLicenseIssue = hasLicenseIssue;
        this.licensesAffected = licensesAffected;
    }
    return MLicenseInformation;
}());
export { MLicenseInformation };
var MWorkItem = /** @class */ (function () {
    function MWorkItem(isWorkItemCreated, url) {
        if (isWorkItemCreated === void 0) { isWorkItemCreated = false; }
        this.isWorkItemCreated = isWorkItemCreated;
        this.url = url;
    }
    return MWorkItem;
}());
export { MWorkItem };
var MComponentInformation = /** @class */ (function () {
    function MComponentInformation(name, currentVersion, latestVersion, securityDetails, hasSecurityIssue, isUsageOutlier, hasLicenseIssue, licenses, crowdSourcing, github, osio, action, needsExpansion, recommendation, isOpen, licenseInformation, ecosystem, manifestFilePath, workItem) {
        if (currentVersion === void 0) { currentVersion = 'NA'; }
        if (latestVersion === void 0) { latestVersion = 'NA'; }
        if (securityDetails === void 0) { securityDetails = null; }
        if (action === void 0) { action = null; }
        if (needsExpansion === void 0) { needsExpansion = true; }
        if (recommendation === void 0) { recommendation = null; }
        if (isOpen === void 0) { isOpen = false; }
        if (workItem === void 0) { workItem = new MWorkItem(); }
        this.name = name;
        this.currentVersion = currentVersion;
        this.latestVersion = latestVersion;
        this.securityDetails = securityDetails;
        this.hasSecurityIssue = hasSecurityIssue;
        this.isUsageOutlier = isUsageOutlier;
        this.hasLicenseIssue = hasLicenseIssue;
        this.licenses = licenses;
        this.crowdSourcing = crowdSourcing;
        this.github = github;
        this.osio = osio;
        this.action = action;
        this.needsExpansion = needsExpansion;
        this.recommendation = recommendation;
        this.isOpen = isOpen;
        this.licenseInformation = licenseInformation;
        this.ecosystem = ecosystem;
        this.manifestFilePath = manifestFilePath;
        this.workItem = workItem;
    }
    return MComponentInformation;
}());
export { MComponentInformation };
var MStackLicenseConflictDetails = /** @class */ (function () {
    function MStackLicenseConflictDetails(conflictedWithLicense, conflictedWithComponent, conflictedForLicense) {
        this.conflictedWithLicense = conflictedWithLicense;
        this.conflictedWithComponent = conflictedWithComponent;
        this.conflictedForLicense = conflictedForLicense;
    }
    return MStackLicenseConflictDetails;
}());
export { MStackLicenseConflictDetails };
var MConflictsWithInLicenses = /** @class */ (function () {
    function MConflictsWithInLicenses(license1, license2) {
        this.license1 = license1;
        this.license2 = license2;
    }
    return MConflictsWithInLicenses;
}());
export { MConflictsWithInLicenses };
var MLicensesAffected = /** @class */ (function () {
    function MLicensesAffected(affectedLicenses, conflictType, conflictDetails) {
        if (affectedLicenses === void 0) { affectedLicenses = null; }
        if (conflictDetails === void 0) { conflictDetails = null; }
        this.affectedLicenses = affectedLicenses;
        this.conflictType = conflictType;
        this.conflictDetails = conflictDetails;
    }
    return MLicensesAffected;
}());
export { MLicensesAffected };
var MRecommendationInformation = /** @class */ (function () {
    function MRecommendationInformation(type, // Alternate or companion
        reason, feedback, confidenceScore, componentInformation, manifestFilePath, workItem) {
        if (reason === void 0) { reason = null; }
        if (feedback === void 0) { feedback = null; }
        if (workItem === void 0) { workItem = new MWorkItem(); }
        this.type = type;
        this.reason = reason;
        this.feedback = feedback;
        this.confidenceScore = confidenceScore;
        this.componentInformation = componentInformation;
        this.manifestFilePath = manifestFilePath;
        this.workItem = workItem;
    }
    return MRecommendationInformation;
}());
export { MRecommendationInformation };
var MComponentDetails = /** @class */ (function () {
    function MComponentDetails(componentInformation, recommendationInformation) {
        if (componentInformation === void 0) { componentInformation = null; }
        if (recommendationInformation === void 0) { recommendationInformation = null; }
        this.componentInformation = componentInformation;
        this.recommendationInformation = recommendationInformation;
    }
    return MComponentDetails;
}());
export { MComponentDetails };
var MComponentHeaderColumn = /** @class */ (function () {
    function MComponentHeaderColumn(identifier, text, className, isSortable, isDragable) {
        if (isSortable === void 0) { isSortable = false; }
        if (isDragable === void 0) { isDragable = false; }
        this.identifier = identifier;
        this.text = text;
        this.className = className;
        this.isSortable = isSortable;
        this.isDragable = isDragable;
    }
    return MComponentHeaderColumn;
}());
export { MComponentHeaderColumn };
var MReportInformation = /** @class */ (function () {
    function MReportInformation(identifier, name, type, headers, componentDetails) {
        this.identifier = identifier;
        this.name = name;
        this.type = type;
        this.headers = headers;
        this.componentDetails = componentDetails;
    }
    return MReportInformation;
}());
export { MReportInformation };
var MCardDetails = /** @class */ (function () {
    function MCardDetails() {
        this.isMultiple = true; // This is for tabs, in case it is false, report won't be rendered inside tabs
    }
    return MCardDetails;
}());
export { MCardDetails };
var MGenericStackInformation = /** @class */ (function () {
    function MGenericStackInformation(stackId, baseUrl) {
        this.stackId = stackId;
        this.baseUrl = baseUrl;
    }
    return MGenericStackInformation;
}());
export { MGenericStackInformation };
var MFeedbackTemplate = /** @class */ (function () {
    function MFeedbackTemplate(stack_id, recommendation_type, package_name, feedback_type, ecosystem) {
        if (feedback_type === void 0) { feedback_type = null; }
        this.stack_id = stack_id;
        this.recommendation_type = recommendation_type;
        this.package_name = package_name;
        this.feedback_type = feedback_type;
        this.ecosystem = ecosystem;
    }
    return MFeedbackTemplate;
}());
export { MFeedbackTemplate };
var MComponentFeedback = /** @class */ (function () {
    function MComponentFeedback(feedbackTemplate, baseUrl) {
        this.feedbackTemplate = feedbackTemplate;
        this.baseUrl = baseUrl;
    }
    return MComponentFeedback;
}());
export { MComponentFeedback };
/** Bottom Section */
//# sourceMappingURL=ui.model.js.map