import { Http } from '@angular/http';
import { AuthenticationService } from 'ngx-login-client';
import { Contexts } from 'ngx-fabric8-wit';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/catch';
import 'rxjs/operators/map';
export declare class AddWorkFlowService {
    private http;
    private apiUrl;
    private auth;
    private context;
    private stackWorkItemUrl;
    private headers;
    private workItemsRoute;
    private spacesString;
    private spaceId;
    private bugId;
    private fallBackBugId;
    constructor(http: Http, apiUrl: string, auth: AuthenticationService, context: Contexts);
    setMetaInformation(): void;
    fetchBugId(url: string): void;
    setBugId(response: any): void;
    addWorkFlow(workItemData: any): Observable<any>;
    private extractData(res);
    private handleError(error);
}
