import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpModule } from '@angular/http';
import { FormsModule } from '@angular/forms';
import { ModalModule } from 'ngx-modal';
import { TabsModule, AccordionModule } from 'ngx-bootstrap';
import { GlobalConstants } from '../constants/constants.service';
import { StackDetailsComponent } from './stack-details.component';
import { PipelineInsightsModule } from '../pipeline-insights/pipeline-insights.module';
/** New UX */
/** Stack Report Revamp - Latest */
import { ReportSummaryModule } from '../report-summary/report-summary.module';
import { CardDetailsModule } from '../card-details/card-details.module';
import { CommonService } from '../utils/common.service';
/** Stack Report Revamp - Latest */
var revampImports = [
    ReportSummaryModule,
    CardDetailsModule
];
var StackDetailsModule = /** @class */ (function () {
    function StackDetailsModule() {
    }
    StackDetailsModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        HttpModule,
                        FormsModule,
                        ModalModule,
                        PipelineInsightsModule,
                        AccordionModule.forRoot(),
                        TabsModule.forRoot()
                    ].concat(revampImports),
                    declarations: [
                        StackDetailsComponent
                    ],
                    exports: [
                        StackDetailsComponent
                    ],
                    providers: [
                        GlobalConstants,
                        CommonService
                    ],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                },] },
    ];
    /** @nocollapse */
    StackDetailsModule.ctorParameters = function () { return []; };
    return StackDetailsModule;
}());
export { StackDetailsModule };
//# sourceMappingURL=stack-details.module.js.map