import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TabsModule } from 'ngx-bootstrap';
import { ChartModule } from '../utils/chart/chart.module';
import { StackDetailsModule } from '../stack-details/stack-details.module';
import { StackReportInShortComponent } from './stack-report-inshort.component';
import { ReportSummaryModule } from '../report-summary/report-summary.module';
import { CommonService } from '../utils/common.service';
var StackReportInShortModule = /** @class */ (function () {
    function StackReportInShortModule() {
    }
    StackReportInShortModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule,
                        ChartModule,
                        StackDetailsModule,
                        TabsModule.forRoot(),
                        ReportSummaryModule
                    ],
                    declarations: [StackReportInShortComponent],
                    exports: [StackReportInShortComponent],
                    providers: [CommonService]
                },] },
    ];
    /** @nocollapse */
    StackReportInShortModule.ctorParameters = function () { return []; };
    return StackReportInShortModule;
}());
export { StackReportInShortModule };
//# sourceMappingURL=stack-report-inshort.module.js.map