/** Vendor imports Go HERE */
import { Component, Input } from '@angular/core';
var ComponentDetailsComponent = /** @class */ (function () {
    function ComponentDetailsComponent() {
    }
    ComponentDetailsComponent.prototype.ngOnChanges = function (changes) {
        var summary = changes['compDetails'];
        if (summary) {
            this.compDetails = summary.currentValue;
        }
        if (changes['positions']) {
            this.positions = changes['positions']['currentValue'];
        }
    };
    ComponentDetailsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'component-details',
                    styles: [require('./component-details.component.css').toString()],
                    template: require('./component-details.component.html')
                },] },
    ];
    /** @nocollapse */
    ComponentDetailsComponent.ctorParameters = function () { return []; };
    ComponentDetailsComponent.propDecorators = {
        'compDetails': [{ type: Input },],
        'positions': [{ type: Input },],
        'type': [{ type: Input },],
        'serial': [{ type: Input },],
        'genericInformation': [{ type: Input },],
        'repoInfo': [{ type: Input },],
    };
    return ComponentDetailsComponent;
}());
export { ComponentDetailsComponent };
//# sourceMappingURL=component-details.component.js.map