/** Vendor imports Go HERE */
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TooltipModule } from 'ngx-bootstrap';
/** Vendor imports Go HERE */
import { ProgressMeterModule } from '../../utils/progress-meter/progress-meter.module';
import { ComponentFeedbackModule } from '../../utils/component-feedback/component-feedback.module';
import { ComponentSnippetComponent } from '../component-information/component-snippet/component-snippet.component';
import { ComponentInformationComponent } from '../component-information/component-information.component';
import { ComponentDetailsComponent } from '../component-details/component-details.component';
import { ReportInformationComponent } from './report-information.component';
import { ToastNotificationModule } from '../../toast-notification/toast-notification.module';
import { AddWorkFlowService } from '../../stack-details/add-work-flow.service';
import { NoDataComponent } from './no-data/no-data.component';
var components = [
    ComponentSnippetComponent,
    ComponentInformationComponent,
    ComponentDetailsComponent,
    ReportInformationComponent,
    NoDataComponent
];
var imports = [
    TooltipModule.forRoot(),
    ProgressMeterModule,
    ComponentFeedbackModule,
    ToastNotificationModule
];
var ReportInformationModule = /** @class */ (function () {
    function ReportInformationModule() {
    }
    ReportInformationModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ].concat(imports),
                    declarations: components.slice(),
                    providers: [AddWorkFlowService],
                    exports: components.slice()
                },] },
    ];
    /** @nocollapse */
    ReportInformationModule.ctorParameters = function () { return []; };
    return ReportInformationModule;
}());
export { ReportInformationModule };
//# sourceMappingURL=report-information.module.js.map