/**
 * Constants for the StackRecommenderComponent
 * The key for this mapping in constants-mapper.ts is 'stackRecommender'
 */
export var STACK_RECOMMENDER_CONSTANT = {
    'title': 'Recommendations',
    'sub_title': {
        'firstPart': 'Based on our analytics engine we found ',
        'secondPart': ' recommendations to improve your application stack:'
    },
    'create_work_item': 'Create Work Item',
    'create_work_items': 'Create Work Items',
    'view_work_item': 'View Work Item',
    'select_all_text': 'Select All',
    'no_recommendations_text': 'No recommendations.',
    'no_recommendations_suggestion': ' For your stack there are currently no recommendations. Below is some general information about it.',
    'toastDisplay': {
        'text1': 'Workitem with ID ',
        'text2': ' has been added to the backlog.'
    },
    'create_work_item_error': 'There was a error while creating work item.',
    'default_stack_name': 'An existing stack'
};
//# sourceMappingURL=constants.stack-recommender.js.map